using System;

namespace Plane.Communication
{
    public abstract class ExceptionThrownEventSource
    {
        public event EventHandler<ExceptionThrownEventArgs> ExceptionThrown;

        protected void RaiseExceptionThrown(Exception ex)
        {
            ExceptionThrown?.Invoke(this, new ExceptionThrownEventArgs(ex));
        }
    }
}
